// creator  : weidu.exe (version 23100)
// argument : CEDRUID1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~CEDRUID1~

IF ~NumTimesTalkedTo(0)
InParty("Cernd")
!Dead("Cernd")
!StateCheck("Cernd",STATE_SLEEPING)
See("Cernd")
~ THEN BEGIN 0 // from:
  SAY #9219 /* ~You there! You will go back the way you have come! This area is under care of the druids of Tethir, and if you do not leave you will face nature's wrath!~ */
  IF ~~ THEN EXTERN ~CERNDJ~ 58
END

IF ~~ THEN BEGIN 1 // from: CERNDJ:58.0
  SAY #9233 /* ~Cernd! You... you have been away some time. Much has changed.~ */
  IF ~~ THEN EXTERN ~CERNDJ~ 59
END

IF ~~ THEN BEGIN 2 // from: CERNDJ:59.0
  SAY #9240 /* ~It is the new way, Cernd. We have a new leader to follow, and she has moved us in this direction.~ */
  IF ~~ THEN EXTERN ~CERNDJ~ 60
END

IF ~~ THEN BEGIN 3 // from: CERNDJ:60.0
  SAY #9244 /* ~Yes, Cernd, but Gragus has been... replaced. Faldorn is the new leader's name, and none have dared challenge her as yet.~ */
  IF ~~ THEN EXTERN ~CERNDJ~ 61
END

IF ~~ THEN BEGIN 4 // from: CERNDJ:61.0
  SAY #9249 /* ~She is a Shadow Druid, and very... violent. She also... bonded with the grove. She is invulnerable outside of challenges, and those must be one-on-one battles.~ */
  IF ~~ THEN DO ~SetGlobal("DruidTalk","GLOBAL",1)~ EXTERN ~CERNDJ~ 62
END

IF ~~ THEN BEGIN 5 // from: CERNDJ:62.0
  SAY #9252 /* ~Many will not talk, Cernd. I do not enjoy this new role we take, but others do. Walk carefully.~ */
  IF ~~ THEN DO ~EscapeArea()~ UNSOLVED_JOURNAL #55497 /* ~Animal Trouble in Trademeet: A helpful druid.

Cernd spoke with a druid that knew him. Apparently the grove is under the brutal leadership of a Shadow Druid named Faldorn. She has also performed some kind of ritual that has linked her to the grove, so that she is invulnerable unless challenged through traditional druidic ceremonies.~ */ EXIT
END

IF ~NumTimesTalkedTo(0)
OR(4)
!InParty("Cernd")
Dead("Cernd")
StateCheck("Cernd",STATE_SLEEPING)
!See("Cernd")
~ THEN BEGIN 6 // from:
  SAY #9269 /* ~I give you fair warning, interloper, that this area is under the protection of the druids of Tethir, and if you do not leave you will face nature's wrath!~ */
  IF ~Class(Player1,DRUID_ALL)
~ THEN REPLY #9270 /* ~Come now, that cannot be your true sentiment. We are siblings in nature, her servants bonded by duty. We should not fight.~ */ GOTO 7
  IF ~Global("TalkedToCernd","GLOBAL",1)
~ THEN REPLY #9271 /* ~This is not as it should be. What has changed here to cause this hostility? Cernd said it has not always been like this.~ */ GOTO 9
  IF ~~ THEN REPLY #9272 /* ~I do not take kindly to your threats and I will answer any attack with lethal force of my own!~ */ GOTO 12
  IF ~!Class(Player1,DRUID_ALL)
~ THEN REPLY #9274 /* ~Can we not come to some sort of agreement? I simply want to know what has provoked the Druids of this region to such behavior.~ */ GOTO 11
  IF ~PartyGoldGT(499)
~ THEN REPLY #9308 /* ~What is it you require to permit my passage? Gold? Is that it? I'll pay if you wish. Will 500 do?~ */ GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 12.3 10.3 6.0
  SAY #9309 /* ~That is why I have given warning.  I do not fully trust our new leader. Faldorn is... violent, but she... replaced our Great Druid, and none will challenge her.~ */
  IF ~False()~ THEN REPLY #9310 /* ~Faldorn! I know of her! She was a Shadow Druid I met near the Cloakwood Mines of Baldur's Gate!~ */ GOTO 14
  IF ~~ THEN REPLY #9311 /* ~She still obeys the rituals of ascension?  Perhaps I should 'discuss' this with her.~ */ DO ~SetGlobal("DruidTalk","GLOBAL",1)~ GOTO 15
  IF ~~ THEN REPLY #9312 /* ~So you follow her regardless? Certainly you cannot condone her actions?~ */ DO ~SetGlobal("DruidTalk","GLOBAL",1)~ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.2
  SAY #9314 /* ~I have not followed her orders as she might have wished. If I had, you and I would not be speaking. I warn people away when I can but I am not skilled enough to openly oppose her.~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 9 // from: 12.1 10.1 6.1
  SAY #9315 /* ~You have spoken with Cernd? I had hoped he or another would be sent to help. He serves the Grand Druid in the north. He will know what to do with this Faldorn.~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 10 // from: 6.4
  SAY #9316 /* ~Typical of a city-dweller.  I have no need of coins in the sanctity of Nature.  She provides for me. Leave with your arrogant wealth before you regret it.~ */
  IF ~~ THEN REPLY #9313 /* ~That's twice you've threatened me! I'll not run from the likes of you!~ */ GOTO 12
  IF ~Global("TalkedToCernd","GLOBAL",1)
~ THEN REPLY #9326 /* ~I don't usually associate such remarks with druids. Cernd was right, there is something making you all more hostile.~ */ GOTO 9
  IF ~!Class(Player1,DRUID_ALL)
~ THEN REPLY #9327 /* ~Relax, relax, I just want to know what has happened here to turn the druids against everyone.~ */ GOTO 11
  IF ~Class(Player1,DRUID_ALL)
~ THEN REPLY #9328 /* ~Relax, relax, I just want to know what has happened here to turn the druids against everyone. We don't often act like this.~ */ GOTO 7
END

IF ~~ THEN BEGIN 11 // from: 12.2 10.2 6.3
  SAY #9317 /* ~That is not for you to know. Our affairs are our own business and they will be dealt with in accordance with the rituals of the ages already set in place.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 12 // from: 10.0 6.2
  SAY #9318 /* ~Damn you, I am giving you a chance to get out of here before you come to harm! I wish you no ill, but I must keep up the appearance!~ */
  IF ~~ THEN REPLY #9319 /* ~Backing down from a fight then? I think you should learn not to make threats you cannot enforce!~ */ GOTO 13
  IF ~Global("TalkedToCernd","GLOBAL",1)
~ THEN REPLY #9320 /* ~Cernd said there was something odd going on here. What has happened?~ */ GOTO 9
  IF ~!Class(Player1,DRUID_ALL)
~ THEN REPLY #9321 /* ~What has happened here to cause this? I would not consider these attacks the traditional role of a druid.~ */ GOTO 11
  IF ~Class(Player1,DRUID_ALL)
~ THEN REPLY #9323 /* ~What has happened here to cause this? I would not consider these attacks the traditional role of a druid.~ */ GOTO 7
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #9322 /* ~Quiet! Oh... damn it all, they've heard. Others do not stop to chat. Do not say I didn't warn you. I gave you a chance, but no, you wanted to butt heads. So be it, I tried.~ */
  IF ~~ THEN DO ~SetGlobal("DalokSpawn","AR1900",1)
CreateCreatureObjectOffScreen("CEDRUID2",Player1,0,0,0)
CreateCreatureObjectOffScreen("CEFGT01",Player1,0,0,0)
CreateCreatureObjectOffScreen("CEFGT02",Player1,0,0,0)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 7.0
  SAY #9324 /* ~Then you might end this! We have not experienced a Shadow Druid before; we are not strong enough to defeat her. I... I must go; she would harshly punish treachery.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 15 // from: 7.1
  SAY #9325 /* ~Be wary, then. She began alone, but she has supporters. They will not talk or bargain. I must go. I cannot be seen like this.~ */
  IF ~~ THEN DO ~EscapeArea()~ UNSOLVED_JOURNAL #55499 /* ~Animal Trouble in Trademeet: A helpful druid.

I met with a Druid patrolling around the grove. He let slip that a Shadow Druid named Faldorn was controlling the area with an iron fist. He seemed reluctant to harm me, though he also suggested that others would not be as hesitant.~ */ EXIT
END

IF ~~ THEN BEGIN 16 // from: 11.0
  SAY #55498 /* ~Please, you should go before either of us come to harm. Faldorn cannot see me with you. Shadow Druids are very unforgiving of treachery.~ */
  IF ~~ THEN DO ~SetGlobal("DruidTalk","GLOBAL",1)
EscapeArea()~ UNSOLVED_JOURNAL #55499 /* ~Animal Trouble in Trademeet: A helpful druid.

I met with a Druid patrolling around the grove. He let slip that a Shadow Druid named Faldorn was controlling the area with an iron fist. He seemed reluctant to harm me, though he also suggested that others would not be as hesitant.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from: 8.0
  SAY #55500 /* ~Some of the others have all but joined her as Shadow Druids as well. She is not the only enemy now. I must go. I cannot be seen with outsiders.~ */
  IF ~~ THEN DO ~EscapeArea()~ UNSOLVED_JOURNAL #55499 /* ~Animal Trouble in Trademeet: A helpful druid.

I met with a Druid patrolling around the grove. He let slip that a Shadow Druid named Faldorn was controlling the area with an iron fist. He seemed reluctant to harm me, though he also suggested that others would not be as hesitant.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from: 9.0
  SAY #55501 /* ~She has seduced quite a few with her Shadow Druid wiles. Perhaps he could challenge her... she seems subject to the old ways even as she poisons our intentions.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.0
  SAY #55502 /* ~I must go. I cannot be seen with outsiders. Be careful, you will find few people to help you.~ */
  IF ~~ THEN DO ~SetGlobal("DruidTalk","GLOBAL",1)
EscapeArea()~ UNSOLVED_JOURNAL #55503 /* ~Animal Trouble in Trademeet: A helpful druid.

I spoke with a Druid near the grove. He was very glad that Cernd was investigating the trouble they are having. The druid said that a Shadow Druid named Faldorn had taken control of the grove, and he hoped that Cernd would challenge her.~ */ EXIT
END
